#include "mbed.h"

#define GAIN    10.0

BusOut myleds(LED1, LED2, LED3, LED4);
DigitalOut ExtLed(p5);
AnalogIn SlidePotentiometer(p15);

int main() {
    while(1) {
        float value = SlidePotentiometer;
        int ledbit = 0x00;
        
        value *= GAIN;
        
        if( value > 0.8 ) {
            ledbit = 0x0F;
            ExtLed = 1;
        }
        else if( value > 0.6 ) {
            ledbit = 0x07;
        }
        else if( value > 0.4 ) {
            ledbit = 0x03;
        }
        else if( value > 0.2 ) {
            ledbit = 0x01;
        }
        else {
            ledbit = 0x00;
            ExtLed = 0;
        }
        
        myleds = ledbit;
        printf("Value = %f\r\n",value);
        wait(0.2);
    }
}